Page MenuHomePhabricator

User group membership notification about changed expiration date should be more specific
Closed, ResolvedPublic

Description

In betalabs

  1. Go to Special:UserRights and select any 'Expires' options in any check box under 'Groups you can change'.
  2. A user receives a generic message ' Your user rights were changed. You have been added to [user group name]". If expiration terms are changed several times, the same message will be send.

The notifications about expiration dates changes should indicate that only expiration date was changed, not user membership.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2017, 1:45 AM

@TTO Do you plan on updating the user rights notification for the new expiry feature?

TTO added a comment.Mar 7 2017, 8:15 PM

My busy-ness level has jumped, so I don't anticipate I'll have time to do this.

kaldari moved this task from Untriaged to Epic backlog on the Community-Tech board.
TTO claimed this task.Apr 8 2017, 7:32 AM
TTO removed a project: Regression.

Not really a regression; this never worked.

Change 347143 had a related patch set uploaded (by TTO):
[mediawiki/core@master] Add UserGroupMembership details to the UserGroupsChanged hook

https://gerrit.wikimedia.org/r/347143

Change 347144 had a related patch set uploaded (by TTO):
[mediawiki/extensions/Echo@master] Add proper message when user group expiry is changed

https://gerrit.wikimedia.org/r/347144

Change 347143 merged by jenkins-bot:
[mediawiki/core@master] Add UserGroupMembership details to the UserGroupsChanged hook

https://gerrit.wikimedia.org/r/347143

Change 347144 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Add proper message when user group expiry is changed

https://gerrit.wikimedia.org/r/347144

Catrope closed this task as Resolved.Apr 12 2017, 9:28 PM